Package org.eclipse.mat.hprof.describer

# Enum Version

java.lang.Object
java.lang.Enum<Version>
org.eclipse.mat.hprof.describer.Version

All Implemented Interfaces:
  `Serializable`, `Comparable<Version>`, `java.lang.constant.Constable`

public enum Version extends Enum<Version>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`JDK12BETA3`
`JDK12BETA4`
`JDK6`

## Method Summary

Modifier and Type
Method
Description
`static final Version`
`byLabel(String label)`
`String`
`getLabel()`
`static Version`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Version[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### JDK12BETA3

public static final Version JDK12BETA3

### JDK12BETA4

public static final Version JDK12BETA4

### JDK6

public static final Version JDK6

## Method Details

### values

public static Version[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Version valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### byLabel

public static final Version byLabel(String label)

### getLabel

public String getLabel()